Page MenuHomePhabricator

Prepare translations of survey
Closed, ResolvedPublic

Description

We need to translate the survey questions, privacy policy, and survey description into each of the other languages in which it will be running. While we have already identified the languages and associated volunteers, for each language/volunteer, we'll need to do the following:

  • Prepare translation template w/ English text, what content we already have translated (from past surveys or GESIS documentation), and space for any needed translations
  • Send message to all volunteers w/ their associated translation template and instructions (give two weeks for turnaround)
  • With each volunteer, set up an hour to go through their translations and verify/adjust as needed
  • Coordinate Village Pump posts for each language community

Templates (in progress):

Under consideration still for this project:

  • Polish
  • Danish
  • Italian

Event Timeline

Isaac created this task.May 7 2019, 5:09 PM
Restricted Application added subscribers: jeblad, jhsoby, Base. · View Herald TranscriptMay 7 2019, 5:09 PM
Isaac updated the task description. (Show Details)May 17 2019, 9:31 PM
Isaac updated the task description. (Show Details)May 20 2019, 7:48 PM

Comment: The question about gender could/should be rephrased to be more incluse of non-binary genders IMO.

Isaac added a comment.May 23 2019, 2:15 PM

Comment: The question about gender could/should be rephrased to be more incluse of non-binary genders IMO.

@jhsoby-WMNO Yeah, we spent a good bit of time with this and thanks for raising the concern. The main issue I think is that you're not seeing the full question which also has a "Other" and open-text field (which in retrospect, I should have noted), but it's worth laying out the thinking all the same. The answers available on the survey are "Man, Woman, Prefer Not to Say, Other... w/ open-text". It's a not fully satisfying compromise but I think it's best given the constraints. We were trying to make sure it was inclusive but also had to conform to Google Forms and keep it simple enough that it could be translated easily across languages. A few thoughts:

  • We use Man/Woman instead of Male/Female as we are asking about gender and not sex.
  • "Prefer not to say" is included because we did not want anyone uncomfortable w/ providing this information to not be able to easily skip the question.
  • The current guidance seems to be that "In another way" or "Prefer to self-describe" are the best ways to provide an open-text option. Unfortunately Google does not allow us to change the wording for their open-text response (Other) or we would choose one of those.
  • We were concerned that adding more options like "Non-binary / Third-gender" would complicate translation and our ability to cross-compare the results from different languages.
  • From the English pilot (~600 responses), we found that 3% chose not to say and 1% provided open-ended responses.

A few resources I've been relying on outside of conversations with others who think about these challenges:
HCI Guidelines for Gender Equity and Inclusivity: https://www.morgan-klaus.com/sigchi-gender-guidelines
Equality and Human Rights Commission: https://www.equalityhumanrights.com/sites/default/files/rr75_final.pdf
UX Collective: https://uxdesign.cc/designing-forms-for-gender-diversity-and-inclusion-d8194cf1f51

Good to hear! An "other" option would suffice I would say, so it's good that it's included.

Isaac added a comment.May 23 2019, 2:22 PM

Yes, thanks again for raising the concern. I had not been thinking about how much context I'd stripped in the translation doc, but it's heartening to know that people will say something when something appears off like that!

Isaac added a comment.Jun 10 2019, 3:45 PM

Current translation status

  • Complete (translation + verification complete):
    • English
    • Norwegian (Bokmål)
    • Russian
    • Spanish
    • Arabic
    • German (still need to identify who will notify community)
  • Translation complete; verification/walk-through needed:
    • Hebrew
    • Chinese
    • Romanian
  • Waiting on translation
    • French
    • Hungarian
    • Ukrainian
    • Portuguese
    • Persian
  • No volunteer identified -- possibly dropping
    • Japanese
    • Hindi
    • Indonesian

Privacy Policies

I need to provide Privacy w/ the translations in a Google doc and they will handle the upload. As each translation is completed, I make sure it is prepared for easy upload to foundation.wikimedia (lang code; appropriate credit to the volunteer; formatting/headings/text/links etc. ready for upload)

Interface Pages

T&S is helping me gain the necessary permissions for creating the Mediawiki namespace pages in each language for the survey widget text. Internal permissions granted. Waiting on support from stewards.

Deployment

I have been preparing the necessary configuration for each language. Currently we are aiming for either 1000 responses in each language (good statistical power for reporting basic demographic stats and some stratifications such as how gender and motivation interact) or 10,000 responses (can also compare countries and do subgroup discovery to examine correlations with reader session behavior such average article quality). For the Africa-specific surveys in English/French, we are aiming somewhere in between as a compromise between what we can achieve and having enough responses to do some country comparisons.

  • 1000 responses: Norwegian, Arabic, Hebrew, Romanian, Persian, Chinese, Ukrainian, Portuguese, Hungarian
  • 2000 responses: French (Africa)
  • 5000 responses: English (Africa)
  • 10000 responses: English (World), Russian, Spanish, German, French (World)
Isaac added a comment.Jun 14 2019, 2:28 PM

Updates:

  • Hebrew and Romanian now complete.
  • Preparation started for testing on beta wiki for english and hebrew (T225819)
  • Still waiting on interface permissions -- I will send out a reminder to check on the status of that
leila added a comment.Jun 15 2019, 8:40 AM

@Isaac update on my end: I pinged fr, hu, pt, and uk point of contacts. I am also working on fa.

leila triaged this task as High priority.Jun 15 2019, 8:40 AM
leila moved this task from Staged to In Progress on the Research board.
Isaac added a comment.Jun 20 2019, 9:29 PM

See T212444 for most recent status on translations. Currently Ukrainian, Portuguese, and Farsi pending verification. There likely is not time to include Polish, Hindi, Japanese, and Indonesian before the survey launch but they are under consideration for future rounds.

leila added a subscriber: Amirsara.Jun 21 2019, 6:51 AM

@Isaac: @Amirsara and I worked on the fa one and have it ready. Shall I go ahead and do the verification step myself?

@leila yes, that'd be great thanks!

Isaac closed this task as Resolved.Jun 25 2019, 5:38 PM

Translations are closed for this round of surveys. Depending on interest, we will add additional translations for another round of demographics surveys in the near future. See the description of T212444 for an up-to-date list of what languages are being included.